Bug 903308 - IllegalStateException on shutdown
Summary: IllegalStateException on shutdown
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Nobody
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-23 17:05 UTC by Michal Linhard
Modified: 2018-09-12 22:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Occasionally in Red Hat JBoss Data Grid, while a coordinator node is being shut down, an asynchronous listener thread might attempt to retrieve the state of the cluster and fail with an IllegalStateException.As a result, the IllegalStateException is logged by the coordinator node while it is shutting down. </para> <para> The IllegalStateException printed by the coordinator node during shutdown can be ignored. The issue does not affect data integrity in any way, and the node will safely shut down.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-2752 0 Minor Open IllegalStateException on shutdown 2014-03-25 07:40:20 UTC

Description Michal Linhard 2013-01-23 17:05:09 UTC
see https://issues.jboss.org/browse/ISPN-2752

Comment 1 JBoss JIRA Server 2013-01-28 16:37:12 UTC
Galder Zamarreño <galder.zamarreno> made a comment on jira ISPN-2752

A way to silence this scenario is needed, which should be included as part of the fix for ISPN-2577.

Comment 2 JBoss JIRA Server 2013-01-29 13:58:48 UTC
Galder Zamarreño <galder.zamarreno> made a comment on jira ISPN-2752

IRC discussion: https://gist.github.com/647ec76c9e3d7cc28ef3

Comment 4 JBoss JIRA Server 2013-02-05 14:37:17 UTC
Mircea Markus <mmarkus> made a comment on jira ISPN-2752

[~mlinhard] [~dan.berindei] this exception is received on a node that is broadcasting a TopologyControllCommand (e.g. consistent hash update, rebalance start). By the look of code this is sent synchronously and should impact the command execution. Does't this affect the rebalancing in any way?

Comment 5 Michal Linhard 2013-02-05 19:51:42 UTC
I haven't seen this in any scenario where it would affect data integrity. I considered this low prio/severity cause it only happened on cluster shutdown.

Comment 6 JBoss JIRA Server 2013-02-06 09:20:37 UTC
Dan Berindei <dberinde> made a comment on jira ISPN-2752

[~mircea.markus], the exception message "Remote (node0005/default) failed unexpectedly" is misleading. In fact the coordinator is shutting down shortly after it became coordinator, and while an asynchronous listener thread is trying to retrieve the status in the cluster, the JChannel was closed and it also closed all pending (outgoing) requests with an IllegalStateException.

Since the exception is local to the coordinator, which is already shutting down, this is not going to impact anything. We could probably add a check when catching this exception and skip logging it if the cache manager is shutting down.

Comment 8 Misha H. Ali 2013-05-07 03:42:19 UTC
Set flag to nominate this bug for 6.2 release notes.


Note You need to log in before you can comment on or make changes to this bug.